## org.opengis.geometry.primitive
Interface OrientableCurve

All Superinterfaces:
  Geometry, OrientablePrimitive, Primitive, TransfiniteSet

All Known Subinterfaces:
  CompositeCurve, Curve, Ring

    @UML(identifier="GM_OrientableCurve",
         specification=ISO_19107)
    public interface OrientableCurve

extends OrientablePrimitive

A curve and an orientation inherited from `OrientablePrimitive`. If the orientation is positive, then the `OrientableCurve` is a curve. If the orientation is negative, then the `OrientableCurve` is related to another curve with a parameterization that reverses the sense of the curve traversal.

Since:
  GeoAPI 1.0
Version:
  ISO 19107

Method Summary

Methods inherited from interface OrientablePrimitive
`getOrientation, getPrimitive`

Methods inherited from interface Primitive
`getComplexes, getComposite, getContainedPrimitives, getContainingPrimitives, getProxy`

Methods inherited from interface Geometry
`clone, distance, getBoundary, getBuffer, getCentroid, getClosure, getConvexHull, getCoordinateDimension, getCoordinateReferenceSystem, getDimension, getDistance, getEnvelope, getMaximalComplex, getMbRegion, getPrecision, getRepresentativePoint, isCycle, isMutable, isSimple, toImmutable, transform, transform`

Methods inherited from interface TransfiniteSet
`contains, contains, difference, equals, intersection, intersects, symmetricDifference, union`

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.